package agilpizza;

import static org.junit.Assert.assertTrue;

import org.junit.Before;
import org.junit.Test;

import agilpizza.selenium.SeleniumTestCase;

public class IdentificarClienteTest extends SeleniumTestCase {

	@Before
	public void acessarPagina() {
		sel.open(CONTEXTO);
		assertTrue(sel.isTextPresent("AgilPizza"));
		assertTrue(sel.isElementPresent("identificacaoCliente"));
		sel.clickAndWait("identificacaoCliente");
	}
	
	@Test
	public void testEmailInvalido() {
		assertTrue(sel.isElementPresent("email"));
		sel.type("email", "emailinvalido");
		sel.clickAndWait("enviar");
		
		assertTrue(sel.isTextPresent("É necessário preencher um email válido para identificação."));
	}

	@Test
	public void testEmailVazio() {
		assertTrue(sel.isElementPresent("email"));
		sel.type("email", "");
		sel.clickAndWait("enviar");
		
		assertTrue(sel.isTextPresent("É necessário preencher um email válido para identificação."));
	}

	
	@Test
	public void testEmailOk() {

		assertTrue(sel.isElementPresent("email"));
		sel.type("email", "email@email.com");
		sel.clickAndWait("enviar");
		
		assertTrue(sel.isTextPresent("Cliente identificado"));
		assertTrue(sel.isTextPresent("Seus Dados:"));
		assertTrue(sel.isTextPresent("Endereço de entrega:"));
	}
}
